-- Author: Ketho (EU-Boulderfist)
-- License: Public Domain

local PowerButton_OnClick = ArtifactPowerButtonMixin.OnClick

-- rather prehook than posthook to prevent purchasing traits
function ArtifactPowerButtonMixin:OnClick(button)
	if IsModifiedClick("CHATLINK") then
		ChatEdit_InsertLink(GetSpellLink(self.spellID))
	else
		PowerButton_OnClick(self, button)
	end
end

local OnRelicSlotClicked = ArtifactTitleTemplateMixin.OnRelicSlotClicked

-- ArtifactTitleTemplateMixin.OnRelicSlotClicked
function ArtifactFrame.PerksTab.TitleContainer:OnRelicSlotClicked(relicSlot)
	if IsModifiedClick("CHATLINK") then
		for i = 1, #self.RelicSlots do
			if self.RelicSlots[i] == relicSlot then
				ChatEdit_InsertLink( select(4, C_ArtifactUI.GetRelicInfo(i)) )
				break
			end
		end
	else
		OnRelicSlotClicked(self, relicSlot)
	end
end
